Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 229808 - [GIT] After pulling/fetching/pushing allow review of commits - add links to summary view/diff view in output window
[GIT] After pulling/fetching/pushing allow review of commits - add links to s...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.4
PC Windows 7
: P3 (vote)
: 8.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 21:58 UTC by markiewb
Modified: 2013-09-17 02:01 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows the expected links in the output window and the dialogs to be invoked (220.76 KB, image/png)
2013-05-15 21:58 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-05-15 21:58:16 UTC
Created attachment 134488 [details]
Shows the expected links in the output window and the dialogs to be invoked

I like to review the commits which came in from remote (pull/fetch) or went out (push) more easily. For example eGit supports this workflow by showing the commits after pulling/fetching/pushing - see [1].

In NetBeans we could also introduce this with small effort IMHO.

Proposal: Add links in output window which show the commits as diff or in summary view. So the interested git user can click on one of the links to see what happened. This is more a passive approach than the active eGit-notification approach, but the power git users in NB can still access the info in a easy way. See the attached screenshot to see what I mean.

My use-cases:

After Pushing: 
   Which commit have I pushed? So show/diff PREVIOUS_ORIGIN_MASTER..HEAD (simplified and probably not 100% correct) 

After Pulling: 
  Which commits were integrated in my workspace? So show/diff ORIG_HEAD..HEAD (simplified and probably not 100% correct)

After fetching: 
  Which commits were fetched? So show/diff FETCH_HEAD..HEAD (simplified and probably not 100% correct)

[1] http://wiki.eclipse.org/EGit/New_and_Noteworthy/1.1#More_information_displayed_in_merge.2C_fetch_and_push_results_dialogs
Comment 1 markiewb 2013-05-29 21:06:40 UTC
FYI: Something similar was already proposed for CVS https://netbeans.org/bugzilla/show_bug.cgi?id=168983
Comment 2 Ondrej Vrabec 2013-09-16 14:27:00 UTC
fix: http://hg.netbeans.org/core-main/rev/6c17f15426da
Comment 3 Quality Engineering 2013-09-17 02:01:45 UTC
Integrated into 'main-silver', will be available in build *201309170002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6c17f15426da
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #229808 - [GIT] After pulling/fetching/pushing allow review of commits - add links to summary view/diff view in output window


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo